// sidebar, popout and journal - new ars purple darker color
#sidebar.app,
.app.tab.sidebar-tab.sidebar-popout,
.journal-sheet {
    background: var(--ars_purple_darker);
}

// remove ugly banner from compendiums
.directory-item.compendium > img {
    display: none;
}
.compendium.directory .directory-header .header-banner {
    background-image: none !important;
}

// compendium sidebar tweaks
.compendium-sidebar .dropdown-menu {
    background: rgba(0, 0, 0);
}
.compendium-sidebar .directory-item.compendium .compendium-name {
    flex: none;
    width: auto;
    max-width: 100% !important;
    text-align: left;
    font-size: 0.9em;
}
.compendium-sidebar .directory-item.compendium {
    align-items: flex-start;
}
.directory-item.compendium .level1 {
    background: var(--ars_purple_dark_header);
}

// combat tracker tweaks
ol#combat-tracker .combatant {
    margin-bottom: 10px;
}

.trade-box {
    .trade-window {
        height: 100%;

        .trade-icon {
            flex-basis: 25px;
            flex-grow: 0;
            font-size: 0.99em;
            padding-right: 3px;
            img {
                vertical-align: middle;
            }
        }

        .currency {
            border: 1px solid #bbb;
        }
        .trade-panel {
            border: 1px solid black;
            margin: 2px;
            padding: 2px;
            height: 100%;
            width: 100%;
            overflow-y: auto;
            overflow-x: hidden;
        }

        .trade-status-banner {
            padding: 9px;
            text-align: center;
            background: var(--ars_red);
            color: white;
            border-radius: 6px;
        }
        .trade-status-banner.green {
            background: var(--ars_success_header_green);
        }

        .accept-trade-button {
            padding: 10px 20px;
            background-color: lightblue;
            cursor: pointer;
            margin-top: 20px;
            text-align: center;
        }

        #trader-inventory,
        #trader-trade,
        #customer-trade.list {
            padding: 1px 0;
            border-bottom: 1px solid #bbb;

            div:nth-of-type(odd) {
                background-color: $item-background-color;
            }
            div:nth-of-type(even) {
                background-color: $item-background-alt-color;
            }

            .trader-trade-item,
            .trader-inventory-item,
            .customer-trade-item {
                overflow: hidden;
                text-overflow: ellipsis;
                flex-grow: 3;
                flex-shrink: 0;
            }
            .trader-inventory-item-quantity,
            .trader-trade-item-quantity,
            .customer-trade-item-quantity {
                overflow: hidden;
                text-overflow: ellipsis;
                // flex-grow: 0;
                min-width: 0;
                max-width: 40px;
                // flex-shrink:1;
            }
        }
    }
}

// this is so GM screen text is not white on light background
div.gm-screen-grid-cell-content-wrapper > div > div > aside {
    color: black !important;
}

.item-browser-sheet,
.actor-browser-sheet {
    .flexrow > div:not(:last-child) {
        padding-right: 4px;
        padding-left: 2px;
        padding-top: 3px;
        padding-bottom: 3px;
    }
    // show borders if not using 'all' search filters.type
    .with-borders.item-entries > div {
        border-right: 1px solid #000;
    }
    .item-entries > div:not(.filter-name) {
        text-align: center;
    }
}

#actor-browser-sheet,
#item-browser-sheet {
    height: 50%;
}

#actor-browser-sheet .general-header,
#actor-browser-sheet .general-subheader,
#item-browser-sheet .general-header,
#item-browser-sheet .general-subheader {
    padding: 6px !important;
}

#actor-browser-sheet .general-subheader,
#item-browser-sheet .general-subheader {
    background-color: transparent;
    padding: 6px;
}

.item-browser-sheet .item-list {
    padding: 6px;
    border-radius: 6px;
}

.party-stats,
.party-award-logs {
    .window-content {
        background: var(--ars_purple_darker);
        color: white;
    }
    .tracker-entry-bar .token-image {
        width: 75px !important;
    }
}

// party inventory app
.party-inventory-browser-sheet {
    .pnl_search_controls {
        input {
            min-width: 200px;
        }
        button {
            border-radius: 6px;
            max-width: 200px;
            min-width: 100px;
        }
        .btn-bulk-actions {
            opacity: 0.5;
            pointer-events: none;
        }
        .btn-bulk-actions.enabled {
            opacity: 1;
            pointer-events: all;
        }
    }
    .inventory {
        .item-boolean {
            flex-basis: 35px;
        }
        .item-entry {
            overflow: hidden;
        }
    }
}

// requested rolls app
// .party-rolls {
//     min-width: 600px;
//     height: auto !important;
// }

.party-rolls-sheet {
    .container-border {
        padding: 5px;
    }

    .party-controls-grid {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 1rem;
        // label {
        //     font-weight: bold;
        //     color: var(--color-border-dark-1);
        // }
    }

    .party-controls-grid.col-3 {
        grid-template-columns: 1fr 1fr 1fr;
    }

    .control-group {
        display: flex;
        flex-direction: column;
    }

    .control-group label {
        margin-top: 0.5rem;
    }

    .ars_clps_container.item-list {
        max-height: 800px;
        overflow-y: auto;
    }

    .rr-pending {
        background-color: #f1a90f !important;
    }

    .rr-success {
        color: white;
        background-color: var(--ars_success_hadeer_red) !important;
    }
    .rr-failure {
        color: white;
        background-color: var(--ars_failure_header_red) !important;
    }

    button {
        padding: 10px;
        border-radius: 6px;
    }
}
